ResolverImpl (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.catalina.valves.rewrite

## Class ResolverImpl

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Resolver
  - - org.apache.catalina.valves.rewrite.ResolverImpl

-     public class ResolverImpl
      extends Resolver

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Request` | `request` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolverImpl​(Request request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.nio.charset.Charset` | `getUriCharset()` |
    `java.lang.String` | `getUriEncoding()` | Deprecated.
    `java.lang.String` | `resolve​(java.lang.String key)` | The following are not implemented: - SERVER_ADMIN - API_VERSION - IS_SUBREQ
    `java.lang.String` | `resolveEnv​(java.lang.String key)` |
    `java.lang.String` | `resolveHttp​(java.lang.String key)` |
    `boolean` | `resolveResource​(int type, java.lang.String name)` |
    `java.lang.String` | `resolveSsl​(java.lang.String key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected Request request

  - ### Constructor Detail

    - #### ResolverImpl

          public ResolverImpl​(Request request)

  - ### Method Detail

    - #### resolve

          public java.lang.String resolve​(java.lang.String key)

      The following are not implemented: - SERVER_ADMIN - API_VERSION - IS_SUBREQ
      Specified by:
        `resolve` in class `Resolver`

    - #### resolveEnv

          public java.lang.String resolveEnv​(java.lang.String key)

      Overrides:
        `resolveEnv` in class `Resolver`

    - #### resolveSsl

          public java.lang.String resolveSsl​(java.lang.String key)

      Specified by:
        `resolveSsl` in class `Resolver`

    - #### resolveHttp

          public java.lang.String resolveHttp​(java.lang.String key)

      Specified by:
        `resolveHttp` in class `Resolver`

    - #### resolveResource

          public boolean resolveResource​(int type,
                                         java.lang.String name)

      Specified by:
        `resolveResource` in class `Resolver`

    - #### getUriEncoding

          @Deprecated
          public java.lang.String getUriEncoding()

      Deprecated.
      Specified by:
        `getUriEncoding` in class `Resolver`
      Returns:
        The name of the encoding to use to %nn encode URIs

    - #### getUriCharset

          public java.nio.charset.Charset getUriCharset()

      Specified by:
        `getUriCharset` in class `Resolver`